Next version? Rated 4 out of 5 stars

nzbdStatus is the dogs best friend :)

I know I'm being picky but any chance of a version that will support SABnzbd_ v0.4.9 *and* FF v3.5? TIA

This review is for a previous version of the add-on (1.0.9). 

Yep

Yep! Just click on see all versions and install any version after 1.0.6, preferably the most recent version :)